/* 
Theme Name: Kompozit
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Kompozit is a child theme of Hello Elementor
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: kompozit
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/
:root {
	--primary-color: #1266A0;
}
body,
#page {
	min-height: 100vh;
}
body.page:has(.kmp-no-elementor) .kmp-header, 
.archive .kmp-header,
.blog .kmp-header,
.error404 .kmp-header,
.single-post .kmp-header {
	position: relative;
}
body.page:has(.kmp-no-elementor) .page-header {
	text-align: center;
	margin-bottom: 2rem;
}

.error404 .site-main {
	min-height: 55vh;
	padding: 3rem 0;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

#colophon {
	position: relative;
	overflow: hidden;
}

.elementor-image-gallery .gallery {
	display: flex;
	flex-wrap: wrap;
}

.elementor-image-gallery .gallery .gallery-item .gallery-icon,
.elementor-image-gallery .gallery .gallery-item .gallery-icon a {
	display: block;
	height: 100%;
}

.elementor-image-gallery .gallery .gallery-item .gallery-icon img {
	object-fit: cover;
	object-position: center;
	height: 100%;
	width: 100%;
}

.elementor-maintenance-mode #moove_gdpr_cookie_info_bar,
.elementor-maintenance-mode #moove_gdpr_save_popup_settings_button {
	display: none !important;
}

.kmp-page-header {
	background-color: #eaeff3;
	padding: 50px 0;
}

.kmp-page-header .entry-title {
	color: var(--primary-color);
	font-weight: 300;
	text-transform: uppercase;
	font-size: 2.5rem;
}

.kmp-archive,
.kmp-no-elementor {
	padding: 3rem 0;
}

.kmp-archive .read-more {
	background: transparent;
	border-color: var(--primary-color);
	color: var(--primary-color);
	text-decoration: none;
	border: solid 1px var(--primary-color);
	padding: 10px 20px;
	display: inline-block;
	transition: all 0.3s ease;
}

.kmp-archive .read-more:hover {
	background: var(--primary-color);
	color: #fff;
	border-color: var(--primary-color);
}

.kmp-archive .post {
	padding-bottom: 20px;
	border-bottom: 1px solid #e5e5e5;
}

.kmp-archive .post:last-child {
	border-bottom: none;
}

.kmp-archive .post.has-thumb {
	margin-top: 20px;
}

.kmp-archive .entry-title {
	margin-top: 20px;
}

.kmp-archive a.thumb {
	display: flex;
	justify-content: center;
	align-items: center;
}
.kmp-archive .post .has-thumb img {
	max-height: 320px;
}
.no-thumb img {
	filter: grayscale(100%);
	opacity: 0.3;
}

.single-post .site-main.kmp-no-elementor .entry-title {
	padding-bottom: 1rem;
}

.kmp-no-elementor .gallery {
	margin-bottom: 1rem;
	display: grid;
	grid-gap: 2px;
}

.kmp-no-elementor .gallery .gallery-item {
	display: inline-block;
	text-align: center;
	width: 100%;
	margin: 0;
	padding: 0;
}

.kmp-no-elementor .gallery-columns-2 {
	grid-template-columns: repeat(2, 1fr);
}

.kmp-no-elementor .gallery-columns-3 {
	grid-template-columns: repeat(3, 1fr);
}

.kmp-no-elementor .gallery-columns-4 {
	grid-template-columns: repeat(4, 1fr);
}

.kmp-no-elementor .gallery-columns-5 {
	grid-template-columns: repeat(5, 1fr);
}

.kmp-no-elementor .gallery-columns-6 {
	grid-template-columns: repeat(6, 1fr);
}

.kmp-no-elementor .gallery-columns-7 {
	grid-template-columns: repeat(7, 1fr);
}

.kmp-no-elementor .gallery-columns-8 {
	grid-template-columns: repeat(8, 1fr);
}

.kmp-no-elementor .gallery-columns-9 {
	grid-template-columns: repeat(9, 1fr);
}

.kmp-no-elementor .gallery-item * {
	height: 100%;
}

.kmp-no-elementor .gallery-item img {
	width: 100%;
	object-fit: cover;
	object-position: center;
}

.kmp-pagination {
	display: flex;
	justify-content: center;
	margin: 3rem 0 2rem;
}

.kmp-pagination ul {
	list-style: none;
	padding: 0;
	margin: 0;
}

.kmp-pagination li {
	display: inline-block;
}

.kmp-pagination a,
.kmp-pagination span {
	display: block;
	border-radius: 3px;
	padding: 10px 20px;
}

.kmp-pagination a {
	background-color: #eaeff3;
	color: #333;
	text-decoration: none;
	transition: all 0.3s ease-in-out;
}

.kmp-pagination a:hover {
	background-color: var(--primary-color);
	color: #fff;
}

.kmp-pagination span {
	background-color: var(--primary-color);
	color: #fff;
}

.kmp-pagination-icon {
	width: 1em;
	fill: currentColor;
	stroke: currentColor;
	max-height: 100%;
}

.pagination-center .pagination {
	display: flex;
	justify-content: center;
}

.similar-posts {
	border-top: 1px solid #e5e5e5;
	padding-top: 2rem;
	margin-top: 2rem;
}
.similar-posts .section-title {
	margin-bottom: 1rem;
}
.elementor-lightbox .swiper .elementor-swiper-button {
	color: hsla(0, 0%, 93%, .9);
    cursor: pointer;
    display: inline-flex;
    font-size: 25px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}
.elementor-lightbox .elementor-swiper-button svg {
	--button-size: 40px;
	width: var(--button-size);
	height: var(--button-size);
}
.sp-slider {
	--button-size: 30px;
	margin: 0 -5px;
}
.slick-dots>li {
	display: inline-block;
}

.slick-dots>li:only-child {
	display: none;
}
.slick-track {
	margin: 0;
}
.sp-slider .slick-dots li button,
.sp-slider .slick-dots li button:before {
	width: var(--button-size);
	height: var(--button-size);
	line-height: var(--button-size);
}

.sp-slider .slick-dots li button:before {
	font-size: 24px;
	transition: all 0.3s ease-in-out;
}

.sp-slider .slick-dots li button:hover,
.sp-slider .slick-dots li button:focus {
	background-color: transparent;
}

.sp-slider .slick-dots li button:hover::before,
.sp-slider .slick-dots li button:focus::before {
	color: var(--primary-color);
}

.sp-slider .slick-dots li.slick-active button::before {
	color: var(--primary-color);
}

.sp-slider .similar-post {
	padding: 0 5px;
}

.single-post .site-main.kmp-no-elementor .sp-slider .similar-post .entry-title {
	font-size: 1rem;
	padding-bottom: 0;
}

.sp-slider .similar-post a {
	text-decoration: none;
}

.sp-slider .similar-post .thumb {
	margin-bottom: 1rem;
	height: 280px;
	overflow: hidden;
}

.sp-slider .similar-post .thumb img {
	object-fit: cover;
	object-position: center;
	width: 100%;
	height: 100%;
	transform: scale(1);
	transition: all 0.3s ease-in-out;
}

.sp-slider .similar-post:hover .thumb img {
	transform: scale(1.1);
}

.sp-slider .similar-post .content {
	color: #333;
}

.sp-slider .similar-post .read-more {
	margin-top: 0.6rem;
}

#scroll-to-top svg {
	background-color: var(--primary-color);
	border-radius: 50%;
	border: solid 2px rgb(255, 255, 255);
}

#scroll-to-top {
	position: fixed;
	bottom: 2rem;
	right: 2rem;
	z-index: 9999;
	display: none;
}

@media (min-width: 992px) {
	#colophon:after {
		content: "";
		background: var(--primary-color);
		position: absolute;
		bottom: -233px;
		right: -177px;
		width: 400px;
		height: 400px;
		transform: rotate(50deg);
		z-index: 1;
	}
}

@media (max-width: 992px) {
	.kmp-page-header .entry-title {
		text-align: center;
	}
}

@media (max-width: 768px) {
	.kmp-no-elementor .gallery {
		grid-template-columns: repeat(2, 1fr) !important;
	}
}

@media (max-width: 480px) {
	.kmp-no-elementor .gallery {
		grid-template-columns: repeat(1, 1fr) !important;
	}
}